#ifndef __packagelistjob_h__
#define __packagelistjob_h__

#include "htmlbugjob.h"

#include "package.h"

class PackageListJob : public HTMLBugJob
{
    Q_OBJECT
public:
    PackageListJob();
    virtual ~PackageListJob();

    void start();

signals:
    void packageListAvailable( const Package::List &pkgs );

protected:
    virtual void process();
    virtual void processNode( const DOM::Node &node );

private:
    Package::List m_packages;

    static const char *s_packageListURL; 
};

#endif

/*
 * vim:ts=4:sw=4:et
 */
